Forum Francophone Home Assistant

Plantages aléatoires

Bonjour,

Je démarre l’installation et la configuration de HA sur RPi4-4G monté avec disque SSD et alimentations séparées des dongles Enocean et DD.
L’image installée est la version stable 64bits pour RPi4

Le système est connecté en https via Duckdns. J’ai quelques addons installés via HACS en plus des addons officiels : Scheduler card/components + 2 addons thèmes Noctis et Vibrant.
Pas encore créé de carte scheduler dans le Lovelace que j’ai déjà quelques bugs qui interviennent de façon aléatoire.
Le système se déconnecte pendant plusieurs minutes. Le RPi n’apparait plus dans le réseau de la Livebox.

Puis la connexion revient sans que je comprenne encore pourquoi.

J’ai des messages de défaut. Mais çà dépasse mes capacités d’analyse. Je pense que cela provient d’un addon d’HACS.
Auriez-vous moyen de m’aider à stabiliser mon installation avant que je n’avance dans son développement ?

Voici les messages que je trouve dans l’onglet ‹ core › de system

[services.d] starting services
[services.d] done.
2020-12-29 19:11:02 WARNING (MainThread) [homeassistant.config_entries] Config entry for upnp not ready yet. Retrying in 10 seconds
2020-12-29 19:11:05 ERROR (MainThread) [custom_components.hacs] Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-29 19:11:05 CRITICAL (MainThread) [custom_components.hacs] Your GitHub token is not valid
2020-12-29 19:11:05 WARNING (MainThread) [homeassistant.config_entries] Config entry for hacs not ready yet. Retrying in 5 seconds
2020-12-29 19:11:08 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for hacs which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant.
2020-12-29 19:11:08 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for scheduler which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant.
2020-12-29 19:11:10 WARNING (Recorder) [homeassistant.components.recorder] Ended unfinished session (id=55 from 2020-12-29 18:10:34.574455)
2020-12-29 19:11:10 ERROR (MainThread) [metno] https://aa015h6buqvih86i1.api.met.no/weatherapi/locationforecast/2.0/complete returned Cannot connect to host aa015h6buqvih86i1.api.met.no:443 ssl:default [Try again]
2020-12-29 19:11:15 ERROR (MainThread) [metno] https://aa015h6buqvih86i1.api.met.no/weatherapi/locationforecast/2.0/complete returned Cannot connect to host aa015h6buqvih86i1.api.met.no:443 ssl:default [Try again]
2020-12-29 19:11:22 WARNING (MainThread) [homeassistant.config_entries] Config entry for upnp not ready yet. Retrying in 20 seconds
2020-12-29 19:12:38 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching Orange Livebox data
2020-12-30 04:12:00 ERROR (Recorder) [homeassistant.components.recorder.util] Error executing query: (sqlite3.DatabaseError) database disk image is malformed
[SQL: DELETE FROM events WHERE events.time_fired < ?]
[parameters: ('2020-12-12 14:04:39.170151',)]
(Background on this error at: http://sqlalche.me/e/13/4xp6)
2020-12-30 04:12:00 WARNING (Recorder) [homeassistant.components.recorder.purge] Error purging history: (sqlite3.DatabaseError) database disk image is malformed
[SQL: DELETE FROM events WHERE events.time_fired < ?]
[parameters: ('2020-12-12 14:04:39.170151',)]
(Background on this error at: http://sqlalche.me/e/13/4xp6)
2020-12-30 08:39:36 ERROR (MainThread) [custom_components.hacs] custom-components/sensor.rpi_power - Repository is archived.
2020-12-30 10:45:08 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching Orange Livebox data
2020-12-30 10:49:29 ERROR (MainThread) [homeassistant] Error doing job: Task exception was never retrieved
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/aiohttp/connector.py", line 1005, in _create_direct_connection
    hosts = await asyncio.shield(host_resolved)
  File "/usr/local/lib/python3.8/site-packages/aiohttp/connector.py", line 1005, in _create_direct_connection
    hosts = await asyncio.shield(host_resolved)
  File "/usr/local/lib/python3.8/site-packages/aiohttp/connector.py", line 858, in _resolve_host
    await event.wait()
  File "/usr/local/lib/python3.8/site-packages/aiohttp/locks.py", line 38, in wait
    raise self._exc
  File "/usr/local/lib/python3.8/site-packages/aiohttp/connector.py", line 871, in _resolve_host
    addrs = await self._resolver.resolve(host, port, family=self._family)
  File "/usr/local/lib/python3.8/site-packages/aiohttp/resolver.py", line 31, in resolve
    infos = await self._loop.getaddrinfo(
  File "/usr/local/lib/python3.8/asyncio/base_events.py", line 825, in getaddrinfo
    return await self.run_in_executor(
  File "/usr/local/lib/python3.8/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.8/socket.py", line 918, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Try again
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/config/custom_components/hacs/hacsbase/hacs.py", line 283, in recurring_tasks_installed
    await self.handle_critical_repositories()
  File "/config/custom_components/hacs/hacsbase/hacs.py", line 195, in handle_critical_repositories
    critical = await self.data_repo.get_contents("critical")
  File "/usr/local/lib/python3.8/site-packages/aiogithubapi/objects/repository/__init__.py", line 113, in get_contents
    response = await self.client.get(endpoint=_endpoint, params=_params)
  File "/usr/local/lib/python3.8/site-packages/aiogithubapi/client.py", line 36, in get
    response = await async_call_api(
  File "/usr/local/lib/python3.8/site-packages/backoff/_async.py", line 133, in retry
    ret = await target(*args, **kwargs)
  File "/usr/local/lib/python3.8/site-packages/aiogithubapi/helpers.py", line 59, in async_call_api
    result = await session.get(url, params=params or {}, headers=_headers)
  File "/usr/local/lib/python3.8/site-packages/aiohttp/client.py", line 527, in _request
    conn = await self._connector.connect(
  File "/usr/local/lib/python3.8/site-packages/aiohttp/connector.py", line 541, in connect
    proto = await self._create_connection(req, traces, timeout)
  File "/usr/local/lib/python3.8/site-packages/aiohttp/connector.py", line 898, in _create_connection
    _, proto = await self._create_direct_connection(req, traces, timeout)
  File "/usr/local/lib/python3.8/site-packages/aiohttp/connector.py", line 1017, in _create_direct_connection
    raise ClientConnectorError(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host api.github.com:443 ssl:default [Try again]

2020-12-30 10:49:29 ERROR (MainThread) [custom_components.hacs] Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-30 10:49:59 ERROR (MainThread) [custom_components.hacs] <Plugin nielsfaber/scheduler-card> Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-30 10:49:59 ERROR (MainThread) [custom_components.hacs] nielsfaber/scheduler-card - Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-30 10:49:59 ERROR (MainThread) [custom_components.hacs] <Integration nielsfaber/scheduler-component> Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-30 10:49:59 ERROR (MainThread) [custom_components.hacs] nielsfaber/scheduler-component - Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-30 10:49:59 ERROR (MainThread) [custom_components.hacs] <Plugin ciotlosm/lovelace-thermostat-dark-card> Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-30 10:49:59 ERROR (MainThread) [custom_components.hacs] ciotlosm/lovelace-thermostat-dark-card - Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-30 10:49:59 ERROR (MainThread) [custom_components.hacs] <Integration hacs/integration> Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-30 10:49:59 ERROR (MainThread) [custom_components.hacs] hacs/integration - Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-30 10:49:59 ERROR (MainThread) [custom_components.hacs] <Theme aFFekopp/noctis> Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-30 10:49:59 ERROR (MainThread) [custom_components.hacs] aFFekopp/noctis - Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-30 10:49:59 ERROR (MainThread) [custom_components.hacs] <Theme myleskeeffe/clear-theme-dark-vibrant> Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-30 10:49:59 ERROR (MainThread) [custom_components.hacs] myleskeeffe/clear-theme-dark-vibrant - Cannot connect to host api.github.com:443 ssl:default [Try again]
2020-12-30 10:58:51 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching Orange Livebox data
[cont-finish.d] executing container finish scripts...
[cont-finish.d] done.
[s6-finish] waiting for services.
Client error on /homeassistant/restart request Server disconnected
[s6-init] making user provided files available at /var/run/s6/etc...exited 0.
[s6-init] ensuring user provided files have correct perms...exited 0.
[fix-attrs.d] applying ownership & permissions fixes...
[fix-attrs.d] done.
[cont-init.d] executing container initialization scripts...
[cont-init.d] udev.sh: executing... 
[11:55:35] INFO: Update udev information
[cont-init.d] udev.sh: exited 0.
[cont-init.d] done.
[services.d] starting services
[services.d] done.
2020-12-30 11:55:42 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for scheduler which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant.
2020-12-30 11:55:42 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for hacs which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant.

En image